<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Positioning</title>
    <style>
        html,
        body {
            width: 100%;
            height: 100%;
            border: 0;
            padding: 0;
            margin: 0;
            font-size: 2em;
            font-family: Arial;
            background: lightblue;
        }

        #main-div {
            width: 600px;
            height: 400px;
            background: lightcyan;
            display: flex;
            position: absolute;
            top: 70px;
            left: 50px;
        }

        #div-1 {
            background: goldenrod;
            display: inline-block;
            width: 100px;
            height: 100px;
            top: 10px;
            left: 10px;
            position: absolute;
            z-index: 10000;
        }
        #div-2 {
            background: indianred;
            display: inline-block;
            width: 100px;
            height: 100px;
            position: fixed;
            bottom: 10px;
            right: 50px;
        }

        #div-3 {
            background: rgb(181, 233, 9);
            display: inline-block;
            width: 100px;
            height: 100px;
            /* position: absolute; */
            top: 20px;
            left: 60px;
            z-index: 30001;
        }

    </style>
</head>

<body>
    <!-- <h1>Pealkiri</h1> -->
    <div id="div-3">3</div>
    <div id="main-div">
        <div id="div-1">1</div>
        <div id="div-2">2</div>
        
    </div>
    <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
</body>

</html>